Subject: Re: bug#41124: 26.3; highlight regexp not working properly - not updating as you type

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 May 2020 15:55:40 +0300

> Date: Thu, 7 May 2020 12:32:27 +0100
> From: jan via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Hi all,
> I've reported the same thing a few years ago, it got fixed pretty fast
> but looks like it reverted again.
> 
> First ensure font-lock mode is on. Prefix arg forces it on.
> 
>    C-u 1 M-x font-lock-mode
> 
> Minibuffer says font lock mode is enabled
> 
> type some text to be highlighted:
> 
>   peq
>   piq
> 
> highlight regexp:
> 
>   M-s h r  p[aeiou]q
> 
> the above 2 get highlighted as expected
> 
> now type some matchable text
> 
>   paq
> 
> this does not get highlighted.
> I expected it should and as I've used this functionality extensively
> before, I'm pretty sure it used to work this way.

I cannot reproduce this.

What was the major mode in the buffer where you tried this?  I'm
asking because font-lock-mode is turned on by default, so I don't
understand why you needed to turn it on.  E.g., try repeating the
sequence, without the font-lock-mode command, in *scratch* as soon as
you enter "emacs -Q".